This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 32548 - Tulip Cardbus NIC times out
Tulip Cardbus NIC times out
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-21 12:53 EST by westbrook
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:13:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My slightly altered config.opts file (1.77 KB, text/plain)
2001-03-21 12:54 EST, westbrook
no flags Details
my /var/log/dmesg file (4.74 KB, text/plain)
2001-04-10 23:29 EDT, westbrook
no flags Details

  None (edit)
Description westbrook 2001-03-21 12:53:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-0.1.25 i686; en-US; 0.8)
Gecko/20010217


I have a linksys Cardbus NIC 10/100 Model # PCM200 that is detected
properly and everything and works most of the time.  However, after a while
of surfing the net or downloading something, it appears to hang.  It no
longer transmits. I looked in the /var/messages and here is the output:

Mar 21 10:45:47 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out

By doing a /etc/init.d/network restart it will bring the interface back up
so it will work for a while until it happens again.

Here is the output of the /etc/init.d/network restart:

Mar 21 10:45:55 localhost network: Shutting down interface eth0:  succeeded
Mar 21 10:45:55 localhost modprobe: modprobe: Can't locate module irlan0
Mar 21 10:45:55 localhost sysctl: net.ipv4.ip_forward = 0
Mar 21 10:45:55 localhost sysctl: net.ipv4.conf.all.rp_filter = 1
Mar 21 10:45:55 localhost sysctl: kernel.sysrq = 0
Mar 21 10:45:55 localhost network: Setting network parameters:  succeeded
Mar 21 10:45:56 localhost network: Bringing up interface lo:  succeeded
Mar 21 10:45:57 localhost network: Bringing up interface eth0:  succeeded

Here is the output of the pcmcia starting up:

Mar 21 09:31:44 localhost rc: Starting pcmcia:  succeeded

So it appears there are no problems with pcmcia.  I have changed the pcmcia
configuration file so it would not use irq 11 or 10 or 5.  It was
conflicting with another irq.  I've attached my config.opts file.  

This is on a Dell Inspiron 3500 and is reproducable every time.  I have the
latest 2.4.2-0.1.25 and kernel-pcmcia-cs-3.1.24-1 installed.  Here is the
output of /proc/interrupts:

[root@localhost /proc]# more interrupts 
           CPU0       
  0:     844521          XT-PIC  timer
  1:      12195          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:     286024          XT-PIC  MS Sound System
  8:          1          XT-PIC  rtc
 10:      20979          XT-PIC  Texas Instruments PCI1220, Texas
Instruments PCI1220 (#2), eth0
 11:          0          XT-PIC  usb-uhci
 12:     130534          XT-PIC  PS/2 Mouse
 14:     116482          XT-PIC  ide0
NMI:          0 
ERR:          7

Here is the output of /proc/pci


PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 3).
      Master Capable.  Latency=64.  
      Prefetchable 32 bit memory at 0xe0000000 [0xe3ffffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 3).
      Master Capable.  Latency=128.  Min Gnt=140.
  Bus  0, device   4, function  0:
    CardBus bridge: Texas Instruments PCI1220 (rev 2).
      IRQ 10.
      Master Capable.  Latency=168.  Min Gnt=192.Max Lat=5.
      Non-prefetchable 32 bit memory at 0x10000000 [0x10000fff].
  Bus  0, device   4, function  1:
    CardBus bridge: Texas Instruments PCI1220 (#2) (rev 2).
      IRQ 10.
      Master Capable.  Latency=168.  Max Lat=5.
      Non-prefetchable 32 bit memory at 0x10001000 [0x10001fff].
  Bus  0, device   7, function  0:
    Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 2).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
--More--(0%)  IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
      Master Capable.  Latency=64.  
      I/O at 0xfcd0 [0xfcdf].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 1).
      IRQ 11.
      Master Capable.  Latency=64.  
      I/O at 0xfce0 [0xfcff].
  Bus  0, device   7, function  3:
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  1, device   0, function  0:
    VGA compatible controller: Neomagic Corporation [MagicMedia 256AV] (rev
32).      Master Capable.  Latency=128.  Min Gnt=16.Max Lat=255.
      Prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      Non-prefetchable 32 bit memory at 0xfe800000 [0xfebfffff].
      Non-prefetchable 32 bit memory at 0xfec00000 [0xfecfffff].
  Bus  1, device   0, function  1:
    Multimedia audio controller: Neomagic Corporation [MagicMedia 256AV
Audio] (rev 32).
      IRQ 11.
      Prefetchable 32 bit memory at 0xfe000000 [0xfe3fffff].
      Non-prefetchable 32 bit memory at 0xfe700000 [0xfe7fffff].   Master
Capable.  Latency=64.  
      I/O at 0xfce0 [0xfcff].
  Bus  0, device   7, function  3:
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  1, device   0, function  0:
    VGA compatible controller: Neomagic Corporation [MagicMedia 256AV] (rev
32).      Master Capable.  Latency=128.  Min Gnt=16.Max Lat=255.
      Prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      Non-prefetchable 32 bit memory at 0xfe800000 [0xfebfffff].
      Non-prefetchable 32 bit memory at 0xfec00000 [0xfecfffff].
  Bus  1, device   0, function  1:
    Multimedia audio controller: Neomagic Corporation [MagicMedia 256AV
Audio] (rev 32).
      IRQ 11.
      Prefetchable 32 bit memory at 0xfe000000 [0xfe3fffff].
      Non-prefetchable 32 bit memory at 0xfe700000 [0xfe7fffff].
  Bus  6, device   0, function  0:
    Ethernet controller: PCI device 13d1:ab03 (rev 17).
      IRQ 10.
      Master Capable.  Latency=64.  Min Gnt=255.Max Lat=255.
      I/O at 0x1800 [0x18ff].
      Non-prefetchable 32 bit memory at 0x11000000 [0x110003ff].
  

If you need any more information, please contact me.


-steve




Reproducible: Always
Steps to Reproduce:
1.Start laptop
2.Surf internet or download files
3.occurrs
Comment 1 westbrook 2001-03-21 12:54:30 EST
Created attachment 13264 [details]
My slightly altered config.opts file
Comment 2 Arjan van de Ven 2001-04-07 19:35:37 EDT
Please update to the current kernel from rawhide; wolverine had a
buggy tulip driver.

Please re-open this bug if 2.4.2-0.1.49 or later does not fix the
bug.
Comment 3 westbrook 2001-04-10 23:29:06 EDT
I've upgraded to 2.4.2-0.1.49 and I'm still having the same problem.  However,
it does seem to be more reliable... just not 100% yet.  I am still getting the
following in my /var/logs/messages especially when I try to bring up a nfs mount:


Apr 10 22:19:32 localhost network: Setting network parameters:  succeeded
Apr 10 22:19:32 localhost network: Bringing up interface lo:  succeeded
Apr 10 22:19:43 localhost network: Bringing up interface eth0:  succeeded
Apr 10 22:20:37 localhost kernel: spurious 8259A interrupt: IRQ7.
Apr 10 22:21:41 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
Apr 10 22:21:41 localhost kernel: eth0: Transmit timed out, status fc664010,
CSR12 00000000, resetting...
Apr 10 22:21:49 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
Apr 10 22:21:49 localhost kernel: eth0: Transmit timed out, status fc664010,
CSR12 00000000, resetting...
Apr 10 22:21:51 localhost kernel: nfs: server westserver not responding, still
trying
Apr 10 22:21:57 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
Apr 10 22:21:57 localhost kernel: eth0: Transmit timed out, status fc664010,
CSR12 00000000, resetting...
Apr 10 22:21:57 localhost kernel: nfs: server westserver OK
Apr 10 22:22:05 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
Apr 10 22:22:05 localhost kernel: eth0: Transmit timed out, status fc664010,
CSR12 00000000, resetting...
Apr 10 22:22:07 localhost network: Shutting down interface eth0:  succeeded
Apr 10 22:22:07 localhost modprobe: modprobe: Can't locate module irlan0
Apr 10 22:22:07 localhost modprobe: modprobe: Can't locate module ppp0
Apr 10 22:22:07 localhost sysctl: net.ipv4.ip_forward = 0
Apr 10 22:22:07 localhost sysctl: net.ipv4.conf.all.rp_filter = 1
Apr 10 22:22:07 localhost sysctl: kernel.sysrq = 0
Apr 10 22:22:07 localhost network: Setting network parameters:  succeeded
Apr 10 22:22:08 localhost network: Bringing up interface lo:  succeeded
Apr 10 22:22:08 localhost network: Bringing up interface eth0:  succeeded

The only way to get the nic to respond is to restart /etc/rc.d/network restart.
 I will also attach my /var/log/dmesg if that might be of some use.

If you have any suggestions or comments, please contact me.


steve westbrook  

Comment 4 westbrook 2001-04-10 23:29:58 EDT
Created attachment 15124 [details]
my /var/log/dmesg file

Note You need to log in before you can comment on or make changes to this bug.